> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrdn.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Supported Payment Kinds

> Get list of supported payment types and networks

Get the list of supported payment types and networks for x402 payments.

## Response

```json theme={"system"}
{
  "kinds": [
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "avalanche"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "base"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "bsc"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "bot-chain"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "base-sepolia"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "arc-testnet"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "bot-chain-testnet"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "fluent-testnet"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "optimism"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "arbitrum"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "optimism-sepolia"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "polygon"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "unichain"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "ink"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "worldchain"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "sei"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "hyperevm"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "megaeth"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "tempo"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "monad"
    },
    {
      "x402Version": 1,
      "scheme": "exact",
      "network": "robinhood"
    }
  ]
}
```

## Payment Kinds

Each payment kind specifies:

* **x402Version**: Version of the x402 protocol (currently 1)
* **scheme**: Payment scheme type (currently "exact")
* **network**: Supported blockchain network

## Supported Networks

Currently supported networks:

### Mainnet

| Network ID   | Chain           |
| ------------ | --------------- |
| `avalanche`  | Avalanche       |
| `base`       | Base            |
| `bsc`        | BNB Smart Chain |
| `bot-chain`  | BOT Chain       |
| `optimism`   | Optimism        |
| `arbitrum`   | Arbitrum One    |
| `polygon`    | Polygon         |
| `unichain`   | Unichain        |
| `ink`        | Ink             |
| `worldchain` | World Chain     |
| `sei`        | Sei             |
| `hyperevm`   | HyperEVM        |
| `megaeth`    | MegaETH         |
| `tempo`      | Tempo           |
| `monad`      | Monad           |
| `robinhood`  | Robinhood Chain |

### Testnet

| Network ID          | Chain             |
| ------------------- | ----------------- |
| `arc-testnet`       | Arc Testnet       |
| `bot-chain-testnet` | BOT Chain Testnet |
| `base-sepolia`      | Base Sepolia      |
| `fluent-testnet`    | Fluent Testnet    |
| `optimism-sepolia`  | Optimism Sepolia  |

## Usage

```javascript theme={"system"}
const response = await fetch("/v1/supported");
const data = await response.json();

console.log("Supported payment kinds:", data.kinds);

// Check if a specific network is supported
const isOptimismSupported = data.kinds.some(
  (kind) => kind.network === "optimism",
);
```


## OpenAPI

````yaml GET /v1/supported
openapi: 3.1.0
info:
  title: Meridian Protocol API
  description: API for x402 payments
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.mrdn.finance
    description: Production server
security:
  - cookieAuth: []
  - apiKeyAuth: []
paths:
  /v1/supported:
    get:
      summary: Get supported payment kinds
      description: Get list of supported payment types and networks
      responses:
        '200':
          description: Supported payment kinds
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedResponse'
components:
  schemas:
    SupportedResponse:
      type: object
      required:
        - kinds
      properties:
        kinds:
          type: array
          items:
            type: object
            required:
              - x402Version
              - scheme
              - network
            properties:
              x402Version:
                type: integer
                enum:
                  - 1
              scheme:
                type: string
                enum:
                  - exact
              network:
                type: string
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: siwe-session
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````